Error installing ITCM Agent on Unix or Linux platforms: "This platform is not supported"

Document ID : KB000044320
Last Modified Date : 03/07/2018
Show Technical Document Details
Issue:

When installing agents on Unix/Linux based platforms that are not certified or covered under variant support, you may see the following error when running

[root@%SERVERNAME%t]# ./installdsm 
Preparing interactive install, please wait... 
This platform is not supported 

The referenced installation log shows this error:
do_exit_rc=15

Environment:
CA Client Automation (ITCM) -- any version.
Cause:
The issue is caused by the installation script doing a kernel version check, which is not matched with an expected result...

[root@%SERVERNAME%t]# ./installdsm 
Preparing interactive install, please wait... 
This platform is not supported 

The log file is /tmp/ca-dsm.31206.log 

/root/agent/installdsm 
=========================================================================== 
CA_DSM_BACKGROUND_UPGRADE= 
DSM_SD_ASYNC_RUN=no 
PACKAGE_ROLE_NAME=agent 
DSM_BASE_PIF_COMPNAME=ca-dsm 
DSM_PIF_COMPNAME=ca-dsm 
DSM_PRODUCT_VERSION=14.0.0.199 
DSM_PIF_PLATFORM=Linux 
DSM_FULL_PRODUCT_NAME=CA ITCM 
DSM_PACKAGE_ROLE_LOCALE=enu 
DSM_LANGPACK_ROLE_NAME=agent 
DSM_LANGPACK_ROLES=agent server manager 
This platform is not supported 
do_exit_rc=15 

Tue Jun 21 09:53:47 BRT 2016
Resolution:
There are the steps to take to get past the installation error:

1- Prior to your next installation attempt, you should clear out the /tmp directory of the installation logs.

2. Set and export the following system environment variable:
export DSM_ALLOW_SOFT_PREREQS=1
3. Rerun the installation script ./installdsm and the installer should startup successfully, skipping the kernel check.
Additional Information:
In some scenarios it may be necessary to ignore ALL prerequisite checks.  This can be done with the following environment variable:
export  DSM_IGNORE_PREREQ=YES
The Linux Variant Support Statement can be found at this link: 
http://www.ca.com/us/services-support/ca-support/ca-support-online/product-content/status/compatibility-matrix/ca-client-automation-itcm---support-statement-for-compatible-linux-variants.html?intcmp=searchresultclick&resultnum=2

For more information on supported versions of the CA Client Automation or versions of UNIX/Linux please visit this link:
https://docops.ca.com/ca-client-automation/14-0/en

Required libraries for ITCM Agent on Linux:
https://comm.support.ca.com/kb/required-libraries-for-itcm-agent-installation-on-linux/kb000011067